Package org.eclipse.net4j.util.io

## Class FileLock

- java.lang.Object
- - org.eclipse.net4j.util.io.FileLock

-     public abstract class FileLock
      extends java.lang.Object

  Since:
    3.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FileLock` | `forRead​(java.io.File file)` |
    `static FileLock` | `forWrite​(java.io.File file)` |
    `java.io.File` | `getLockFile()` |
    `void` | `release()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLockFile

          public final java.io.File getLockFile()

    - #### release

          public void release()

    - #### forRead

          public static FileLock forRead​(java.io.File file)

    - #### forWrite

          public static FileLock forWrite​(java.io.File file)